Latest Hibernate Search version: 5.9.0.Final


#1

Note that this version:

  • requires Java 8
  • requires Hibernate ORM 5.2.3 or later (beware, 5.2.0 to 5.2.2 won’t work)
  • requires Apache Lucene 5.5.x
  • includes support for Elasticsearch integration!

For migration instructions from Hibernate Search version 5.8, please see:
http://hibernate.org/search/documentation/migrate/5.9/
For migration instructions from Hibernate Search version 4.x, please see:
http://hibernate.org/search/documentation/migrate/5.0/


#2

#3